Bug 220982 - knetworkmananger forgets its WEP keys if association times out
knetworkmananger forgets its WEP keys if association times out
Product: Fedora
Classification: Fedora
Component: knetworkmanager (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-12-29 17:12 EST by Carl Roth
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-19 15:27:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2006-12-29 17:12:05 EST
Description of problem:

If knetworkmanager isn't able to associate with a WEP-protected access point
before its internal timeout is exceeded, it forgets its WEP key and asks for
another one.  This means that knetworkmanager is destroying user profile data in
the presence of intermittent network faults.

Version-Release number of selected component (if applicable):


How reproducible:

Always (assuming the network fault is in effect).  A "network fault" that would
prevent access point authentication would include things like

1. invalid (or trivially mis-spelled) WEP key
2. transient device layer problems (see BUG220980).

Steps to Reproduce:
1. Enable knetworkmanager
2. Attempt to connect to a flaky access point
Actual results:

knetworkmanager times out, and deletes its WEP key.

Expected results:

1. knetworkmanager should have a configurable timeout
2. knetworkmanager should offer to re-associate using the saved WEP key

Additional info:

A workaround for the issue is as follows:

1. cancel the WEP key dialog
2. quit knetworkmanager
3. restart knetworkmanager
Comment 1 Dennis Gilmore 2006-12-31 13:49:03 EST
Do you have kwalletmanager setup and running?  all keys are stored in your 
encrypted wallet. I have not seen this problem  and i have keys stored for 
multiple networks  and i can switch between them all with out this issue.
Comment 2 Carl Roth 2006-12-31 14:00:27 EST
I am using kwalletmanager, yes.

As I noted in my workaround, if I cancel the WEP dialog and restart
knetworkmanager, it's able to read the saved passphrase again from kwalletmanager.

The bug here is that, after the association fails, knetworkmanager shows its
dialog *without* the saved WEP key.  If you proceed with the dialog, it
erases/overwrites the previous key from kwalletmanager.
Comment 3 Dennis Gilmore 2007-07-19 15:27:13 EDT
knetworkmanager is assuming that you have an incorrect password. and prompting
for a new one.  if it was made to just use the old one always you would then
need to go into kwalletmanager if you change your wep id.  I believe it is doing
the correct and intended behavior.  If you adimitly think it should be changed
please file a bug in KDE's bug system
Comment 4 Carl Roth 2007-07-19 17:39:28 EDT
This is now being tracked on bugs.kde.org as BUG148039.  I do think that it's a
bug, but I won't necessarily hold RedHat/Fedora responsible for it.

Note You need to log in before you can comment on or make changes to this bug.